org.eclipse.microprofile.fault.tolerance.tck.asynctimeout.clientserver

## Class AsyncClassLevelTimeoutClient

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.asynctimeout.clientserver.AsyncClassLevelTimeoutClient

    @RequestScoped
     @Timeout(value=2000L)
     @Asynchronous
    public class AsyncClassLevelTimeoutClient
    extends Object

A client to demonstrate the combination of the @Retry and @Timeout annotations when applied at the Class level.

Author:
  Neil Young

### Constructor Summary

Constructors
Constructor and Description
`AsyncClassLevelTimeoutClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<Connection>` `serviceA()` serviceA is a slow running service that will take 5 seconds in normal operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncClassLevelTimeoutClient

    public AsyncClassLevelTimeoutClient()

### Method Detail

#### serviceA

    public Future<Connection> serviceA()
                                throws InterruptedException

serviceA is a slow running service that will take 5 seconds in normal operation. Here it is configured to time out after 2 seconds.

Returns:
  the result as a Future
Throws:
  `InterruptedException` - the interrupted exception